API referenceREST API v1 reference
Required scope: read:pipelines
apiKeyAuthorizationBearer <token>Send the key as Authorization: Bearer plk_live_.... No other header is accepted.
limit?integerPage size.
1 <= value <= 10050cursor?stringThe next_cursor from the previous page. Reuse the same since and until.
since?stringOldest creation time to include (ISO 8601). Values older than your plan's data retention are moved forward, and meta.retention_clamped is true.
date-timeuntil?stringNewest creation time to include (ISO 8601). Defaults to now.
date-timestatus?stringOnly runs with this status.
A page of runs.
application/jsondata*array<>next_cursor*string|nullmeta*curl -X GET "https://api.prodgator.io/v1/runs" \ -H "Authorization: Bearer plk_live_YOUR_KEY"{ "data": [ { "id": "string", "provider": "string", "workos_organization_id": "string", "github_run_id": 0, "workflow_name": "string", "workflow_path": "string", "status": "string", "repository_id": 0, "repository_name": "string", "repository_full_name": "string", "repository_owner_id": 0, "repository_owner_login": "string", "branch": "string", "commit_sha": "string", "commit_message": "string", "release_name": "string", "author_id": 0, "author_login": "string", "author_avatar_url": "string", "event_type": "string", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "duration_seconds": 0, "html_url": "string", "job_dependencies": { "property1": [ "string" ], "property2": [ "string" ] }, "run_number": 0, "run_attempt": 0, "attempts": [ { "number": 1, "status": "string", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "duration_seconds": 0, "triggered_by": "string" } ], "trigger": { "event": "string", "kind": "push", "actor": "string", "pull_request": { "number": 0, "url": "string" }, "merged_pull_request": { "number": 0, "url": "string" } }, "actor_login": "string", "actor_name": "string", "actor_avatar_url": "string", "actor_url": "string", "importance_score": 0, "anomaly_reasons": [ "string" ], "failure_category": "string", "failure_excerpt": "string", "failure_recurrence": 0, "azure": { "orgName": "string", "projectId": "string", "repositoryId": "string", "repositoryType": "string", "result": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "meta": { "since": "2019-08-24T14:15:22Z", "until": "2019-08-24T14:15:22Z", "retention_clamped": true }}Required scope: read:pipelines
apiKeyAuthorizationBearer <token>Send the key as Authorization: Bearer plk_live_.... No other header is accepted.
id*string^[A-Za-z0-9._:-]{1,128}$The run.
application/jsondata*curl -X GET "https://api.prodgator.io/v1/runs/string" \ -H "Authorization: Bearer plk_live_YOUR_KEY"{ "data": { "id": "string", "provider": "string", "workos_organization_id": "string", "github_run_id": 0, "workflow_name": "string", "workflow_path": "string", "status": "string", "repository_id": 0, "repository_name": "string", "repository_full_name": "string", "repository_owner_id": 0, "repository_owner_login": "string", "branch": "string", "commit_sha": "string", "commit_message": "string", "release_name": "string", "author_id": 0, "author_login": "string", "author_avatar_url": "string", "event_type": "string", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "duration_seconds": 0, "html_url": "string", "job_dependencies": { "property1": [ "string" ], "property2": [ "string" ] }, "run_number": 0, "run_attempt": 0, "attempts": [ { "number": 1, "status": "string", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "duration_seconds": 0, "triggered_by": "string" } ], "trigger": { "event": "string", "kind": "push", "actor": "string", "pull_request": { "number": 0, "url": "string" }, "merged_pull_request": { "number": 0, "url": "string" } }, "actor_login": "string", "actor_name": "string", "actor_avatar_url": "string", "actor_url": "string", "importance_score": 0, "anomaly_reasons": [ "string" ], "failure_category": "string", "failure_excerpt": "string", "failure_recurrence": 0, "azure": { "orgName": "string", "projectId": "string", "repositoryId": "string", "repositoryType": "string", "result": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}